Orgs Tables
Create a table
Create a new table.
POST
/
orgs
/
{org_id}
/
tables
Create a table
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"icon": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/tables"
payload = {
"name": "<string>",
"description": "<string>",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', icon: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "custom",
"name": "Companies",
"description": "Companies are organizations that own and manage other organizations.",
"icon": "<string>",
"color": "red",
"display_field_id": "<string>",
"archived": true,
"position": 123,
"fields": [
{
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"type": "id",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {
"field": "inline",
"container": "grid",
"empty": "show",
"render": "button"
},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [
"all"
],
"broadcast_field": true,
"broadcast_exposed": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"operator": "eq",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [
"DOCS"
],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE",
"default": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"readonly": true,
"sortable": true,
"groupable_in": [
"table"
],
"kind": "system"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
Body
application/jsonmultipart/form-data
Human-readable name (e.g. "Companies"). 1-128 chars.
Required string length:
1 - 128Optional long-form description of what the table represents.
Maximum string length:
512The emoji of a curated icon a user can pick for a table, view, field, or other entity
The name of the color to use in the UI
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral Response
200 - application/json
Available options:
custom, contacts, chats, users The name of the table.
Example:
"Companies"
The description of the table.
Example:
"Companies are organizations that own and manage other organizations."
The picked icon. Null renders the default table icon.
The picked icon tint. Null renders the default color.
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral The id of the display field.
Whether the table is archived.
Manual display order within the org.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a table
